<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
    <head>
    <th:block th:include="fragments/header"></th:block>
</head>
<body>
    <div class="container-fluid px-0">
        <th:block th:include="fragments/navbar"></th:block>
        <div class="row justify-content-center">
            <div class="col-lg-6 col-md-12 col-sm-12 justify-content-center">
                <h1 class="text-center my-5">
                    Regisztráció
                </h1>
                <div th:if="${user_registration_message == 'name_required'}"
                     class="alert alert-danger">
                    Név megadása kötelező!
                </div>
                <div th:if="${user_registration_message == 'name_format_not_correct'}"
                     class="alert alert-danger">
                    Név formátuma nem megfelelő!
                </div>
                <div th:if="${user_registration_message == 'email_required'}"
                     class="alert alert-danger">
                    Email megadása kötelező!
                </div>
                <div th:if="${user_registration_message == 'email_format_not_correct'}"
                     class="alert alert-danger">
                    Email formátuma nem megfelelő!
                </div>
                <div th:if="${user_registration_message == 'email_already_exists'}"
                     class="alert alert-danger">
                    Ez az email cím már létezik!
                </div>
                <div th:if="${user_registration_message == 'password_required'}"
                     class="alert alert-danger">
                    Jelszó megadása kötelező!
                </div>
                <div th:if="${user_registration_message == 'password_format_not_correct'}"
                     class="alert alert-danger">
                    Jelszó formátuma nem megfelelő!
                </div>
                <div th:if="${user_registration_message == 'two_password_not_equals'}"
                     class="alert alert-danger">
                    Két jelszó nem egyforma!
                </div>
                <div th:if="${user_registration_message == 'email_sent_error'}"
                     class="alert alert-warning">
                    Sikeres regisztráció! <br>
                    Hiba az email küldés során. Vegye fel a kapcsolatot velünk!
                </div>
                <form name="registration" th:action="@{/user-registration}" th:object="${user}" method="post">
                    <div class="form-group">
                        <input
                            type="text"
                            id="firstname"
                            name="firstname"
                            th:field="*{firstName}"
                            placeholder="Vezetéknév"
                            class="form-control"
                            >
                    </div>
                    <div class="form-group">
                        <input
                            type="text"
                            id="lastname"
                            name="lastname"
                            th:field="*{lastName}"
                            th:placeholder="Keresztnév"
                            class="form-control"
                            >
                    </div>
                    <div class="form-group">
                        <input
                            type="text"
                            id="emailAddress"
                            name="emailAddress"
                            th:field="*{emailAddress}"
                            placeholder="Email cím"
                            class="form-control"

                            >
                    </div>
                    <div class="form-group">
                        <input
                            type="password"
                            id="password"
                            name="password"
                            th:field="*{password}"
                            placeholder="Jelszó"
                            class="form-control"
                            >
                        <small id="passwordHelpInline" class="text-muted">
                            Minimum 8 characters long with uppercase and number.
                        </small>
                    </div>
                    <div class="form-group">
                        <input
                            type="password"
                            id="confirm-password"
                            name="confirm-password"
                            th:field="*{confirmPassword}"
                            placeholder="Jelszó újra"
                            class="form-control"
                            aria-describedby="passwordHelpInline"
                            >
                    </div>
                    <div class="d-flex justify-content-end form-group">
                        <button class="btn btn-primary" id="submit">
                            Küldés
                            <i class="fa fa-long-arrow-right" aria-hidden="true"></i>
                        </button>
                    </div>
                </form>
            </div>
        </div>
    </div> 
<th:block th:include="fragments/footer"></th:block>
<script>
    $(document).ready(function () {
        $("#submit").click(function () {
            $(this).html(
                    `<span class="spinner-border spinner-border-sm" role="status" aria-hidden="true"></span>`
                    );
        });
    });
</script>
</body>
</html>